Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512330 - [abrt] gnome-software: g_variant_is_trusted(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_variant_is_trusted(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5ac51869e20878d5ed45c30f5b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-12 21:28 UTC by Neal Gompa
Modified: 2018-11-30 18:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:11:52 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: cgroup (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: core_backtrace (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: cpuinfo (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: dso_list (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: environ (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: exploitable (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: limits (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: maps (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: mountinfo (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: open_fds (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: proc_pid_status (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details
File: var_log_messages (deleted)
2017-11-12 21:28 UTC, Neal Gompa
no flags Details

Description Neal Gompa 2017-11-12 21:28:16 UTC
Version-Release number of selected component:
gnome-software-3.26.1-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_variant_is_trusted
executable:     /usr/bin/gnome-software
journald_cursor: s=173981f1794c40e3a5d7aa73f9288911;i=2f33;b=c7332b0f483b4c8d99db6675cccd20df;m=1cf2f891;t=55dcfc1da7450;x=1d92138c43905881
kernel:         4.13.11-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_variant_is_trusted at gvariant-core.c:607
 #1 g_variant_builder_add_value at gvariant.c:3490
 #2 g_variant_valist_new at gvariant.c:5196
 #3 g_variant_new_va at gvariant.c:5372
 #4 g_variant_new at gvariant.c:5307
 #5 gs_plugin_auth_login at ../plugins/snap/gs-plugin-snap.c:924
 #6 gs_plugin_loader_call_vfunc at ../lib/gs-plugin-loader.c:708
 #7 gs_plugin_loader_run_results at ../lib/gs-plugin-loader.c:1083
 #8 gs_plugin_loader_process_thread_cb at ../lib/gs-plugin-loader.c:3054
 #9 g_task_thread_pool_thread at gtask.c:1328

Comment 1 Neal Gompa 2017-11-12 21:28:21 UTC
Created attachment 1351313 [details]
File: backtrace

Comment 2 Neal Gompa 2017-11-12 21:28:22 UTC
Created attachment 1351314 [details]
File: cgroup

Comment 3 Neal Gompa 2017-11-12 21:28:24 UTC
Created attachment 1351315 [details]
File: core_backtrace

Comment 4 Neal Gompa 2017-11-12 21:28:25 UTC
Created attachment 1351316 [details]
File: cpuinfo

Comment 5 Neal Gompa 2017-11-12 21:28:26 UTC
Created attachment 1351317 [details]
File: dso_list

Comment 6 Neal Gompa 2017-11-12 21:28:27 UTC
Created attachment 1351318 [details]
File: environ

Comment 7 Neal Gompa 2017-11-12 21:28:28 UTC
Created attachment 1351319 [details]
File: exploitable

Comment 8 Neal Gompa 2017-11-12 21:28:30 UTC
Created attachment 1351320 [details]
File: limits

Comment 9 Neal Gompa 2017-11-12 21:28:31 UTC
Created attachment 1351321 [details]
File: maps

Comment 10 Neal Gompa 2017-11-12 21:28:32 UTC
Created attachment 1351322 [details]
File: mountinfo

Comment 11 Neal Gompa 2017-11-12 21:28:34 UTC
Created attachment 1351323 [details]
File: open_fds

Comment 12 Neal Gompa 2017-11-12 21:28:35 UTC
Created attachment 1351324 [details]
File: proc_pid_status

Comment 13 Neal Gompa 2017-11-12 21:28:36 UTC
Created attachment 1351325 [details]
File: var_log_messages

Comment 14 Ben Cotton 2018-11-27 18:15:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 18:11:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.